// OpenLiveVideoView.h : interface of the COpenLiveVideoView class
//
#pragma once

class CMemoryDC;
class COpenLiveVideoView : public CView
{
	DECLARE_DYNCREATE(COpenLiveVideoView)

public: // create from serialization only
	COpenLiveVideoView();
	virtual ~COpenLiveVideoView();

	void DrawNextFrameDC(CDC* pDC);


public:
	CMemoryDC *_memoryDC;
	ULONG_PTR  _gdiplusToken;

	CSize _viewSize;

public:	// Overrides
	COpenLiveVideoDoc* GetDocument() const;

	virtual void OnInitialUpdate();
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	
	#ifdef _DEBUG
		virtual void AssertValid() const;
		virtual void Dump(CDumpContext& dc) const;
	#endif


protected:	// Generated message map functions
	DECLARE_MESSAGE_MAP()

public:

};
#ifndef _DEBUG  // debug version in OpenLiveVideoView.cpp
inline COpenLiveVideoDoc* COpenLiveVideoView::GetDocument() const { return reinterpret_cast<COpenLiveVideoDoc*>(m_pDocument); }
#endif

